<?xml version="1.0" encoding="UTF-8"?>

<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>

  <groupId>com.coarpro.libraries</groupId>
  <artifactId>terminal</artifactId>
  <version>2.1.0</version>

  <name>terminal</name>
  <description>
    This library can be used to execute shell commands, get stdout, stderr, exit codes.
    It also supports multithreading.
  </description>
  <url>https://gitlab.com/coarpro/java/libraries/terminal</url>

  <licenses>
    <license>
      <name>Apache License, Version 2.0</name>
      <url>http://www.apache.org/licenses/LICENSE-2.0.txt</url>
      <distribution>repo</distribution>
    </license>
  </licenses>

  <developers>
    <developer>
      <name>TechGuyChris</name>
      <email>support@coarpro.com</email>
      <organization>Coarpro LLC</organization>
      <organizationUrl>https://www.coarpro.com</organizationUrl>
    </developer>
  </developers>

  <scm>
    <connection>scm:git:git://gitlab.com/coarpro/java/libraries/terminal.git</connection>
    <developerConnection>scm:git:git://coarpro/java/libraries/terminal.git</developerConnection>
    <url>https://gitlab.com/coarpro/java/libraries/terminal</url>
  </scm>

  <!--Parent POM-->
  <parent>
    <groupId>com.coarpro.parentpoms.public</groupId>
    <artifactId>parent-pom-for-publicly-available-code</artifactId>
    <version>1.0.2</version>
  </parent>

  <properties>
    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    <maven.compiler.source>17</maven.compiler.source>
    <maven.compiler.target>17</maven.compiler.target>
    <javadoc.plugin.version>3.6.0</javadoc.plugin.version>
    <maven.source.plugin.version>3.3.0</maven.source.plugin.version>
    <maven.gpg.plugin.version>3.1.0</maven.gpg.plugin.version>
  </properties>

  <dependencies>
    <dependency>
      <groupId>com.coarpro.libraries</groupId>
      <artifactId>coarpro-logger</artifactId>
      <version>1.0.0</version>
    </dependency>
  </dependencies>

  <build>
  </build>
</project>
